Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deConfigFile Class Reference

`#include <deShared.hpp>`

Collaboration diagram for deConfigFile:

[legend]
List of all members.

## Public Member Functions
| deConfigFile (char *FullFilePath)
| ~deConfigFile ()
deBoolean | GetCreationResult (void)
void | SetCurrentEntry (unsigned int Entry)
char * | FindKeyValue (const char *KeyName)
char * | FindNextKeyValue (const char *KeyName)
deBoolean | GetFirstKeyValue (char **KeyName, char **KeyValue)
deBoolean | GetNextKeyValue (char **KeyName, char **KeyValue)
deBoolean | GetPreviousKeyValue (char **KeyName, char **KeyValue)
## Private Member Functions
unsigned int | LoadFileBuffer (char *FullFilePath)
deBoolean | ParseFileBuffer (void)
## Private Attributes
deBoolean | CreationResult
void * | FileBuffer
deDynamicArray * | ConfigKeys
deDynamicArray * | ConfigValues
int | TotalConfigEntries
int | CurrentEntry

## Constructor & Destructor Documentation

deConfigFile::deConfigFile | ( | char * | FullFilePath | ) |

deConfigFile::~deConfigFile | ( |  | ) |

## Member Function Documentation

char * deConfigFile::FindKeyValue | ( | const char * | KeyName | ) |

char * deConfigFile::FindNextKeyValue | ( | const char * | KeyName | ) |

deBoolean deConfigFile::GetCreationResult | ( | void |  | ) | `[inline]`

deBoolean deConfigFile::GetFirstKeyValue | ( | char ** | KeyName,
|  | char ** | KeyValue
| ) |

deBoolean deConfigFile::GetNextKeyValue | ( | char ** | KeyName,
|  | char ** | KeyValue
| ) |

deBoolean deConfigFile::GetPreviousKeyValue | ( | char ** | KeyName,
|  | char ** | KeyValue
| ) |

unsigned int deConfigFile::LoadFileBuffer | ( | char * | FullFilePath | ) | `[private]`

deBoolean deConfigFile::ParseFileBuffer | ( | void |  | ) | `[private]`

void deConfigFile::SetCurrentEntry | ( | unsigned int | Entry | ) | `[inline]`

## Member Data Documentation

deDynamicArray* deConfigFile::ConfigKeys`[private]`

deDynamicArray* deConfigFile::ConfigValues`[private]`

deBoolean deConfigFile::CreationResult`[private]`

int deConfigFile::CurrentEntry`[private]`

void* deConfigFile::FileBuffer`[private]`

int deConfigFile::TotalConfigEntries`[private]`

The documentation for this class was generated from the following files:

- deShared.hpp
- deConfigFile.cpp